#!/usr/bin/env python3
"""seed_armbian_torrents.py

Description:
Armbian torrents seed script

This script will download Armbian torrent files and add them to a qBittorrent
instance. It's intended to be run under /etc/cron.weekly or used in a systemd
timer.

This is a Python implementation of https://docs.armbian.com/Community_Torrent/
for qBittorrent.

Usage:
    seed_armbian_torrents.py (HOSTNAME) (USERNAME) (PASSWORD)
    seed_armbian_torrents.py -h

Examples:
    seed_armbian_torrents.py "http://localhost:8080" "admin" "adminadmin"
    seed_armbian_torrents.py "https://cat.seedhost.eu/lol/qbittorrent" "lol" "pw"

Options:
    -h, --help         show this help message and exit.
"""

import os

import qbittorrentapi
import requests
from docopt import docopt
